Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ImR_Locator_i Class Reference

`#include <ImR_Locator_i.h>`

Inheritance diagram for ImR_Locator_i:

[legend]
Collaboration diagram for ImR_Locator_i:

[legend]
List of all members.

## Public Methods
| ImR_Locator_i ()
| ~ImR_Locator_i ()
int | init (int argc, char *argv[] ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::ULong | register_activator (const char *activator, CORBA::Object_ptr obj_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (ImplementationRepository::AlreadyRegistered, CORBA::SystemException)
virtual CORBA::ULong | unregister_activator (const char *activator, CORBA::Object_ptr obj_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (ImplementationRepository::NotFound, CORBA::SystemException)
virtual void | activate_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)
virtual void | activate_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)
virtual void | register_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::AlreadyRegistered)
virtual void | reregister_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | remove_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | remove_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | shutdown_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | shutdown_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual char * | server_is_running (const char *server, const char *location, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | server_is_shutting_down (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | server_is_shutting_down_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | find (const char *server, ImplementationRepository::ServerInformation_out info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound)
virtual void | list (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list, ImplementationRepository::ServerInformationIterator_out server_iterator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
char * | activate_server_with_startup (const char *server, int check_startup ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)
int | setup_multicast (ACE_Reactor *reactor, const char *ior)
| First, figure out if we should set up a multicast handler (based on command line settings) and which port to set it up (based on the environment, command line, or the default IMPLREPOSERVICE port). More...
## Private Methods
int | parse_args (int argc, char *argv[])
ImplementationRepository::Administration_ptr | choose_activator_using_location (const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (ImplementationRepository::NotFound, CORBA::SystemException)
ImplementationRepository::Administration_ptr | helper_for_choosing_activators (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (ImplementationRepository::NotFound, CORBA::SystemException)
## Private Attributes
ImplementationRepository::Administration_var | default_admin_ref_
CORBA::Boolean | first_timer_
HASH_MAP_MANAGER | table_
int | debug_
int | multicast_
const char * | ior_output_file_
ImR_Forwarder * | forwarder_impl_
ImR_Adapter_Activator * | activator_

## Constructor & Destructor Documentation

ImR_Locator_i::ImR_Locator_i | ( |  | ) |

ImR_Locator_i::~ImR_Locator_i | ( | void |  | ) |

## Member Function Documentation

void ImR_Locator_i::activate_server | ( | const char *server | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::activate_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Locator.

char * ImR_Locator_i::activate_server_with_startup | ( | const char * | server,
|  | int check_startup | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate)

ImplementationRepository::Administration_ptr ImR_Locator_i::choose_activator_using_location | ( | const char *location | ACE_ENV_ARG_DECL | ) | throw (ImplementationRepository::NotFound, CORBA::SystemException)`[private]`

void ImR_Locator_i::find | ( | const char * | server,
|  | ImplementationRepository::ServerInformation_out info | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

ImplementationRepository::Administration_ptr ImR_Locator_i::helper_for_choosing_activators | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw (ImplementationRepository::NotFound, CORBA::SystemException)`[private]`

int ImR_Locator_i::init | ( | int | argc,
|  | char *argv | ACE_ENV_ARG_DECL_WITH_DEFAULTS[]
| ) |

void ImR_Locator_i::list | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out | server_list,
|  | ImplementationRepository::ServerInformationIterator_out server_iterator | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

int ImR_Locator_i::parse_args | ( | int | argc,
|  | char * | argv[]
| ) | `[private]`

virtual CORBA::ULong ImR_Locator_i::register_activator | ( | const char * | activator,
|  | CORBA::Object_ptr obj_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (ImplementationRepository::AlreadyRegistered, CORBA::SystemException)`[virtual]`

void ImR_Locator_i::register_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::AlreadyRegistered)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::remove_server | ( | const char *server | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::remove_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Locator.

void ImR_Locator_i::reregister_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

char * ImR_Locator_i::server_is_running | ( | const char * | server,
|  | const char * | location,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::server_is_shutting_down | ( | const char *server | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::server_is_shutting_down_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Locator.

int ImR_Locator_i::setup_multicast | ( | ACE_Reactor * | reactor,
|  | const char * | ior
| ) |

  | First, figure out if we should set up a multicast handler (based on command line settings) and which port to set it up (based on the environment, command line, or the default IMPLREPOSERVICE port). Then register the handler with the Parameters:
  reactor. |
  Return values:
  0 | ok
  -1 | failed

void ImR_Locator_i::shutdown_server | ( | const char *server | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Administration.

void ImR_Locator_i::shutdown_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, ImplementationRepository::NotFound)`[virtual]`

| Reimplemented from POA_ImplementationRepository::Locator.

virtual CORBA::ULong ImR_Locator_i::unregister_activator | ( | const char * | activator,
|  | CORBA::Object_ptr obj_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (ImplementationRepository::NotFound, CORBA::SystemException)`[virtual]`

## Member Data Documentation

ImR_Adapter_Activator* ImR_Locator_i::activator_`[private]`

int ImR_Locator_i::debug_`[private]`

ImplementationRepository::Administration_var ImR_Locator_i::default_admin_ref_`[private]`

CORBA::Boolean ImR_Locator_i::first_timer_`[private]`

ImR_Forwarder* ImR_Locator_i::forwarder_impl_`[private]`

const char* ImR_Locator_i::ior_output_file_`[private]`

int ImR_Locator_i::multicast_`[private]`

HASH_MAP_MANAGER ImR_Locator_i::table_`[private]`

The documentation for this class was generated from the following files:

- ImR_Locator_i.h
- ImR_Locator_i.cpp